// C Source File
// Created 10.05.2003; 13:51:44

#define USE_TI89              // Compile for TI-89
#define USE_TI92PLUS          // Compile for TI-92 Plus
#define USE_V200              // Compile for V200

#define ENABLE_ERROR_RETURN   // Enable Returning Errors to AMS

#define OPTIMIZE_ROM_CALLS    // Use ROM Call Optimization

#define MIN_AMS 100           // Compile for AMS 1.00 or higher

#define SAVE_SCREEN           // Save/Restore LCD Contents

#include <tigcclib.h>         // Include All Header Files

//======================================




//=====================================
#include <graph.h>
#include <kbd.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>
#include <timath.h>
#include <system.h>
void int_ein(char * txt, int *i);
void ergebnisausgabe(int );
struct spielerdaten
   {
   char name [30] ;
   int spielerwerte[17];
   };

struct spielerdaten spieler[5];
int wuerfel[5],ss=0,wahl=0;
//============================================

static unsigned short int wurf1[]=
{0x07fe,0x0801,0x0801,0x0801,0x0801,0x0861,0x0861,0x0801,0x0801,0x0801,0x0801,0x07fe};

static unsigned short int wurf2[]=
{0x07fe,0x0801,0x0b01,0x0b01,0x0801,0x0801,0x0801,0x0801,0x080d,0x080d,0x0801,0x07fe};

static unsigned short int wurf3[]=
{0x07fe,0x00801,0x0b01,0x0b01,0x0801,0x0861,0x0861,0x0801,0x080d,0x080d,0x0801,0x07fe};

static unsigned short int wurf4[]=
{0x07fe,0x0801,0x0b0d,0x0b0d,0x0801,0x0801,0x0801,0x0801,0x0b0d,0x0b0d,0x0801,0x07fe};

static unsigned short int wurf5[]=
{0x07fe,0x0801,0x0b0d,0x0b0d,0x0801,0x0861,0x0861,0x0801,0x0b0d,0x0b0d,0x0801,0x07fe};

static unsigned short int wurf6[]=
{0x07fe,0x0801,0x0b6d,0x0b6d,0x0801,0x0801,0x0801,0x0801,0x0b6d,0x0b6d,0x0801,0x07fe};

static unsigned short int wurfklein[]=
{0x0008,0x0014,0x0022,0x0049,0x0022,0x0014,0x0008,0x0000};

//==================================================================================================
static unsigned long int wurff1[]=
{0x7fffe,0x80001,0x80001,0x80001,0x80001,0x80001,0x80001,0x80001,0x80f01,0x80f01,0x80f01,0x80f01,0x80001,0x80001,0x80001,0x80001,0x80001,0x80001,0x80001,0x7fffe};
static unsigned long int wurff2[]=
{0x7fffe,0x80001,0xbc001,0xbc001,0xbc001,0xbc001,0x80001,0x80001,0x80001,0x80001,0x80001,0x80001,0x80001,0x80001,0x8003d,0x8003d,0x8003d,0x8003d,0x80001,0x7fffe};
static unsigned long int wurff3[]=
{0x7fffe,0x80001,0xbc001,0xbc001,0xbc001,0xbc001,0x80001,0x80001,0x80f01,0x80f01,0x80f01,0x80f01,0x80001,0x80001,0x8003d,0x8003d,0x8003d,0x8003d,0x80001,0x7fffe};

static unsigned long int wurff4[]=
{0x7fffe,0x80001,0xbc03d,0xbc03d,0xbc03d,0xbc03d,0x80001,0x80001,0x80001,0x80001,0x80001,0x80001,0x80001,0x80001,0xbc03d,0xbc03d,0xbc03d,0xbc03d,0x80001,0x7fffe};
static unsigned long int wurff5[]=
{0x7fffe,0x80001,0xbc03d,0xbc03d,0xbc03d,0xbc03d,0x80001,0x80001,0x80f01,0x80f01,0x80f01,0x80f01,0x80001,0x80001,0xbc03d,0xbc03d,0xbc03d,0xbc03d,0x80001,0x7fffe};
static unsigned long int wurff6[]=
{0x7fffe,0x80001,0xbcf3d,0xbcf3d,0xbcf3d,0xbcf3d,0x80001,0x80001,0x80001,0x80001,0x80001,0x80001,0x80001,0x80001,0xbcf3d,0xbcf3d,0xbcf3d,0xbcf3d,0x80001,0x7fffe};

static unsigned short int *wurfx[]=
{wurf1,wurf2,wurf3,wurf4,wurf5,wurf6,wurfklein};

static unsigned long int *wurffx[]=
{wurff1,wurff2,wurff3,wurff4,wurff5,wurff6};

//============================================
void dispwurf(short t, short x, short y)
{
Sprite32(x, y, 20, wurffx[t], LCD_MEM, SPRT_XOR);
}
//============================================
void InputStr(char *buffer, unsigned short maxlen)
{
  SCR_STATE sss;
  short key;
  unsigned short i = 0;
  buffer[0] = 0;
  SaveScrState (&sss);
  do
    {
      MoveTo (sss.CurX, sss.CurY);
      printf ("%s_  ", buffer);
        // Note that two spaces are required only if the F_4x6 font is used
      key = ngetchx ();
      if (key>= ' ' && key <= '~' && i < maxlen)
        buffer[i++] = key;
      else if (key == KEY_BACKSPACE && i)
        i--;
      buffer[i] = 0;
    } while (key != KEY_ENTER);
}

//============================================
void ausgang(void)
{
	int i;
	for (i=0;i<5;i++)
		wuerfel[i]=0;
}

//============================================
void zufallsanfang(void)
{
 randomize();
 OSFreeTimer (USER_TIMER);
 OSRegisterTimer (USER_TIMER , 5*5);
 while (!OSTimerExpired (USER_TIMER));
 srand(USER_TIMER*random(30000));
 
}
//============================================
void wurf(void)
{
int i,tauschen,zwert,tt;
	
	zufallsanfang();
	for (tt=0;tt<5;tt++)
	{
		if (wuerfel[tt]==0) wuerfel[tt]=1+rand()%6;
	}
 
i=0;
do
{
 tauschen=0;
 i=0;	
 do
 { 
  if (wuerfel[i]>wuerfel[i+1])
  {
   zwert=wuerfel[i];
   wuerfel[i]=wuerfel[i+1];
   wuerfel[i+1]=zwert;
   tauschen=1;
  }
 i++;
 }
 while (i<4);
}
while(tauschen==1);

}
//================================================================================
void ausgabe(void)
{

int w,z;
for (w=0;w<5;w++)
{
   z=wuerfel[w];
   dispwurf(z-1,(25*(w+1))+45,40); 
}
}
//============================================
void cls(void)
{
clrscr();
}
//============================================
void head(int i,int z,int k)
{

if (i==0)
{
FontSetSys(F_8x10);
DrawLine(20, 1, 219, 1,A_XOR); //bis 5
  DrawLine(15, 2, 224, 2,A_XOR);
  DrawLine(10, 3, 229, 3,A_XOR);
  DrawLine(5, 4, 234, 4,A_XOR);
  DrawLine(5, 24, 234, 24,A_XOR); //bis 28
  DrawLine(10, 25, 229, 25,A_XOR);
  DrawLine(15, 26, 224, 26,A_XOR);
  DrawLine(20, 27, 219, 27,A_XOR);
printf_xy(40,10,"KNIFFEL Version 1.0 ",169);

}
else
{
  DrawLine(75, 5, 210, 5,A_XOR); //bis 5
  DrawLine(70, 6, 215, 6,A_XOR);
  DrawLine(70, 19, 215, 19,A_XOR);
  DrawLine(75, 20, 210, 20,A_XOR);
  FontSetSys(F_6x8);
printf_xy(75,9," %d.Wurf von %s ",k,spieler[z].name);
  FontSetSys(F_4x6);
}
}
//============================================
void spielername(int i,struct spielerdaten *daten)
{
FontSetSys(F_6x8);
 char eingabe[30];
   
	 printf("\n    Name Spieler %d: ",i+1); //////////////////////////////////////////////////////////////////
	 InputStr(eingabe,10);
	 strcpy(daten[i].name,eingabe);
 
}
//============================================
void spielblatt(int i)
{
FontSetSys(F_4x6);
printf(" 1)  1er         : %d",spieler[i].spielerwerte[0]);
printf("\n 2)  2er         : %d",spieler[i].spielerwerte[1]);
printf("\n 3)  3er         : %d",spieler[i].spielerwerte[2]);
printf("\n 4)  4er         : %d",spieler[i].spielerwerte[3]);
printf("\n 5)  5er         : %d",spieler[i].spielerwerte[4]);
printf("\n 6)  6er         : %d",spieler[i].spielerwerte[5]);
printf("\n 7)  3er P      : %d",spieler[i].spielerwerte[8]);
printf("\n 8)  4er P      : %d",spieler[i].spielerwerte[9]);
printf("\n 9)  FullH      : %d",spieler[i].spielerwerte[10]);
printf("\n 10) KlStr     : %d",spieler[i].spielerwerte[11]);
printf("\n 11) GrStr    : %d",spieler[i].spielerwerte[12]);
printf("\n 12) Kniffel  : %d",spieler[i].spielerwerte[13]);
printf("\n 13) Chance  : %d\n",spieler[i].spielerwerte[14]);
}
//============================================

void dasspiel(int anz)
{
int ergebnis2,drei2,i,wuerfe,t,runden,zuweisen,k,ergebnis,durchgang,eins,zwei,drei,vier,fuenf,sechs,p,werte[6],tauschen,zwert;
char neu,keep,*zuweisenstr;
FontSetSys(F_4x6);
	for(k=0;k<5;k++)
		{
			for(t=0;t<17;t++)
			{
			 spieler[k].spielerwerte[t]=0;
			}
		}
for (runden=0;runden<13;runden++)
{
 
	for (i=0;i<anz;i++)
	{
 	ausgang();
 	wuerfe=0;
 		do
 		{ clrscr();
    spielblatt(i);
		head(1,i,wuerfe+1);
		wurf();
		ausgabe();
    if (wuerfe!=2)
		{
    printf("\n Alle neu wuerfeln(j/n),Zug beenden(e),Spiel beenden(k)?"); neu=getchar(); 
    if (neu=='k') {ss=1; exit(8);}
   	
   	if (neu!='e')
 			{
				if (neu!='j')
					{
	 					for (t=0;t<5;t++)
	 						{
	  						printf(" \n Wuerfel %d behalten(j/n)? ",t+1);keep=getchar();
	  						if (keep!='j') wuerfel[t]=0;
	 						}	
					}
    		else
					{
						ausgang();
					} 
		wuerfe++;
	}
	else
	{
		printf("\n\n Ende Deines Zuges!!!\n");
		wuerfe=3;neu='e';
	}
	
	}
	else
	{
		printf("\n\n Ende Deines Zuges!!!\n");
		wuerfe=3;neu='e';
	}
 }
 while((wuerfe<3)&&(neu!='e'));

 do
 {
 	do
 	{
 	 printf("\n Wo soll das eingetragen werden x)?");
 	 InputStr(zuweisenstr,3); //=========================================================	 
	 if (strcmp(zuweisenstr,"1")==0) zuweisen=1;
	 if (strcmp(zuweisenstr,"2")==0) zuweisen=2;
	 if (strcmp(zuweisenstr,"3")==0) zuweisen=3;
	 if (strcmp(zuweisenstr,"4")==0) zuweisen=4;
	 if (strcmp(zuweisenstr,"5")==0) zuweisen=5;
	 if (strcmp(zuweisenstr,"6")==0) zuweisen=6;
	 if (strcmp(zuweisenstr,"7")==0) zuweisen=7;
	 if (strcmp(zuweisenstr,"8")==0) zuweisen=8;
	 if (strcmp(zuweisenstr,"9")==0) zuweisen=9;
	 if (strcmp(zuweisenstr,"10")==0) zuweisen=10;
	 if (strcmp(zuweisenstr,"11")==0) zuweisen=11;
	 if (strcmp(zuweisenstr,"12")==0) zuweisen=12;
	 if (strcmp(zuweisenstr,"13")==0) zuweisen=13; 	 
 	}while(zuweisen<0||zuweisen>13);
   ergebnis=0;
   durchgang=1;
 
 if (zuweisen==1)
  {
  if (spieler[i].spielerwerte[0]!=88&&spieler[i].spielerwerte[0]==0)
	{
   for (k=0;k<5;k++) 
   {
    if (wuerfel[k]==1) ergebnis=ergebnis+1;
   }
    if (ergebnis==0) 
    {
    durchgang=0;
    spieler[i].spielerwerte[0]=88;
    }
    if (spieler[i].spielerwerte[0]==0)
    {
    durchgang=0;
    spieler[i].spielerwerte[0]=ergebnis;
    }
    }
 }
 
 
 if (zuweisen==2)
 {
  if (spieler[i].spielerwerte[1]!=88&&spieler[i].spielerwerte[1]==0)
	{
   for (k=0;k<5;k++) 
   {
	   if (wuerfel[k]==2) ergebnis=ergebnis+2;
   }
   if (ergebnis==0) {spieler[i].spielerwerte[1]=88;durchgang=0;}
   if (spieler[i].spielerwerte[1]==0)
   {
   
    spieler[i].spielerwerte[1]=ergebnis; durchgang=0;
   }
   }
 }
 if (zuweisen==3)
 {
 if (spieler[i].spielerwerte[2]!=88&&spieler[i].spielerwerte[2]==0)
	{
   for (k=0;k<5;k++) 
   {
	   if (wuerfel[k]==3) ergebnis=ergebnis+3;
   }
   if (ergebnis==0) {spieler[i].spielerwerte[2]=88;durchgang=0;}
   if (spieler[i].spielerwerte[2]==0)
   {
    durchgang=0;
    spieler[i].spielerwerte[2]=ergebnis;
   }
   }
 }
 if (zuweisen==4)
 {
 if (spieler[i].spielerwerte[3]!=88&&spieler[i].spielerwerte[3]==0)
	{
   for (k=0;k<5;k++) 
   {
	   if (wuerfel[k]==4) ergebnis=ergebnis+4;
   }
   if (ergebnis==0) {spieler[i].spielerwerte[3]=88;durchgang=0;}
   if (spieler[i].spielerwerte[3]==0)
   {
    durchgang=0;
    spieler[i].spielerwerte[3]=ergebnis;
   }
   }
 }
 if (zuweisen==5)
 {
 if (spieler[i].spielerwerte[4]!=88&&spieler[i].spielerwerte[4]==0)
	{
   for (k=0;k<5;k++) 
   {
	   if (wuerfel[k]==5) ergebnis=ergebnis+5;
   }
   if (ergebnis==0) {spieler[i].spielerwerte[4]=88;durchgang=0;}
   if (spieler[i].spielerwerte[4]==0)
   {
    durchgang=0;
    spieler[i].spielerwerte[4]=ergebnis;
   }
   }
 }
 if (zuweisen==6)
 {
 if (spieler[i].spielerwerte[5]!=88&&spieler[i].spielerwerte[5]==0)
	{
   for (k=0;k<5;k++) 
   {
	   if (wuerfel[k]==6) ergebnis=ergebnis+6;
   }
   if (ergebnis==0) {spieler[i].spielerwerte[5]=88;durchgang=0;}
   if (spieler[i].spielerwerte[5]==0)
   {
    durchgang=0;
    spieler[i].spielerwerte[5]=ergebnis;
   }
   }
 }
 drei=0;
 if (zuweisen==7)
 {
 if (spieler[i].spielerwerte[8]!=88&&spieler[i].spielerwerte[8]==0)
	{
  if (spieler[i].spielerwerte[8]!=88)
  {
   for (k=0;k<6;k++)
   {
    for (p=0;p<5;p++)
    {
     if (wuerfel[p]==k+1) drei=drei+1;
    }
    if (drei!=3&&drei!=4&&drei!=5) drei=0; 
    else 
    {
	   ergebnis=0;
	   for (p=0;p<5;p++) ergebnis=ergebnis+wuerfel[p];
	   spieler[i].spielerwerte[8]=ergebnis;
	   durchgang=0;   
    }
    if ((k==5)&&(ergebnis==0)) {spieler[i].spielerwerte[8]=88;durchgang=0;}
   }
  }
  }
 }
 
 vier=0;
 if (zuweisen==8)
 {
 if (spieler[i].spielerwerte[9]!=88&&spieler[i].spielerwerte[9]==0)
	{
  if (spieler[i].spielerwerte[9]!=88)
  {
   for (k=0;k<6;k++)
   {
    for (p=0;p<5;p++)
    {
     if (wuerfel[p]==k+1) vier=vier+1;
    }
    if (vier!=4&&vier!=5) vier=0; 
    else 
    {
	   ergebnis=0;
	   for (p=0;p<5;p++) ergebnis=ergebnis+wuerfel[p];
	   spieler[i].spielerwerte[9]=ergebnis;
	   durchgang=0;   
    }
    if ((k==5)&&(ergebnis==0)) {spieler[i].spielerwerte[9]=88;durchgang=0;}
   }
  }
  }
 }
 
 if (zuweisen==9)
 {
 if (spieler[i].spielerwerte[10]!=88&&spieler[i].spielerwerte[10]==0)
	{
  if(spieler[i].spielerwerte[10]!=88)
  {
  vier=0;
  drei=0;
	for(k=0;k<6;k++) werte[k]=0; 
	for(k=0;k<6;k++)
	{
		if (wuerfel[k]==1) werte[0]=werte[0]+1;
		if (wuerfel[k]==2) werte[1]=werte[1]+1;
		if (wuerfel[k]==3) werte[2]=werte[2]+1;
		if (wuerfel[k]==4) werte[3]=werte[3]+1;
		if (wuerfel[k]==5) werte[4]=werte[4]+1;
		if (wuerfel[k]==6) werte[5]=werte[5]+1;	
	}

	k=0;
	do
	{
		tauschen=0;
		k=0;	
		do
		{ 
		if (werte[k]>werte[k+1])
		{
		zwert=werte[k];
		werte[k]=werte[k+1];
		werte[k+1]=zwert;
		tauschen=1;
		}
		k++;
		}
		while (k<5);
	}
	while(tauschen==1);

 drei=werte[5];
 vier=werte[4];
 if ((drei==3&&vier==2)) spieler[i].spielerwerte[10]=25;
 else spieler[i].spielerwerte[10]=88;
 durchgang=0;
}
}
}

if (zuweisen==10)
{
 drei2=0;
 eins=0;
 zwei=0;
 drei=0;
 vier=0;
 fuenf=0;
 sechs=0;

 if (spieler[i].spielerwerte[11]!=88&&spieler[i].spielerwerte[11]==0)
 {	 
	for(k=0;k<6;k++)
	{
		if (wuerfel[k]==1) eins=eins+1;
		if (wuerfel[k]==2) zwei=zwei+1;
		if (wuerfel[k]==3) drei=drei+1;
		if (wuerfel[k]==4) vier=vier+1;
		if (wuerfel[k]==5) fuenf=fuenf+1;
		if (wuerfel[k]==6) sechs=sechs+1;	
	}	 
	
	if (eins>=1&&zwei>=1&&drei>=1&&vier>=1) {spieler[i].spielerwerte[11]=30;drei2=1;}
	if (zwei>=1&&drei>=1&&vier>=1&&fuenf>=1) {spieler[i].spielerwerte[11]=30;drei2=1;} 
	if (drei>=1&&vier>=1&&fuenf>=1&&sechs>=1) {spieler[i].spielerwerte[11]=30;drei2=1;} 
    if (drei2==0)spieler[i].spielerwerte[11]=88;  
	durchgang=0;
 }
}
if (zuweisen==11)
{
 drei2=0;
 eins=0;
 zwei=0;
 drei=0;
 vier=0;
 fuenf=0;
 sechs=0;

 if (spieler[i].spielerwerte[12]!=88&&spieler[i].spielerwerte[12]==0)
 {	 
	for(k=0;k<6;k++)
	{
		if (wuerfel[k]==1) eins=eins+1;
		if (wuerfel[k]==2) zwei=zwei+1;
		if (wuerfel[k]==3) drei=drei+1;
		if (wuerfel[k]==4) vier=vier+1;
		if (wuerfel[k]==5) fuenf=fuenf+1;
		if (wuerfel[k]==6) sechs=sechs+1;	
	}	 
	
	if (eins>=1&&zwei>=1&&drei>=1&&vier>=1&&fuenf>=1) {spieler[i].spielerwerte[12]=40;drei2=1;}
	if (zwei>=1&&drei>=1&&vier>=1&&fuenf>=1&&sechs>=1) {spieler[i].spielerwerte[12]=40;drei2=1;} 
    if (drei2==0)spieler[i].spielerwerte[12]=88;  
	durchgang=0;
 }
}

if (zuweisen==12)
{
	drei2=0;
	eins=0;
	zwei=0;
	drei=0;
	vier=0;
	fuenf=0;
	sechs=0;
	if (spieler[i].spielerwerte[13]!=88&&spieler[i].spielerwerte[13]==0)
	{
	for(k=0;k<6;k++)
	{
		if (wuerfel[k]==1) eins=eins+1;
		if (wuerfel[k]==2) zwei=zwei+1;
		if (wuerfel[k]==3) drei=drei+1;
		if (wuerfel[k]==4) vier=vier+1;
		if (wuerfel[k]==5) fuenf=fuenf+1;
		if (wuerfel[k]==6) sechs=sechs+1;	
	}	 
		if (eins==5||zwei==5||drei==5||vier==5||fuenf==5||sechs==5) {spieler[i].spielerwerte[13]=50;drei2=1;}
		if (drei2==0)spieler[i].spielerwerte[13]=88;
		durchgang=0;
}
}
if (zuweisen==13)
{

 ergebnis=0;
 if (spieler[i].spielerwerte[14]==0)
 {
  for(k=0;k<5;k++)
  {
    ergebnis=ergebnis+wuerfel[k];
  }
  spieler[i].spielerwerte[14]=ergebnis;
  durchgang=0;
 } 
}


}while (durchgang==1);
}
}
//ergebnisauswertung
//1 fr anz
cls();
head(0,0,0);
 
for(k=0;k<anz;k++)
{
 eins=0;zwei=0; 
 ergebnis=0;
 ergebnis2=0;
 for(t=0;t<6;t++)
 {
	 if (spieler[k].spielerwerte[t]==88) eins=eins+1;
 }
 for(t=8;t<15;t++)
 {
	 if (spieler[k].spielerwerte[t]==88) zwei=zwei+1;
 }
ergebnis=(spieler[k].spielerwerte[0]+spieler[k].spielerwerte[1]+spieler[k].spielerwerte[2]+spieler[k].spielerwerte[3]+spieler[k].spielerwerte[4]+spieler[k].spielerwerte[5])-(eins*88);
if (ergebnis>=65) {ergebnis=ergebnis+35; spieler[k].spielerwerte[6]=35;spieler[k].spielerwerte[7]=ergebnis;} else spieler[k].spielerwerte[7]=ergebnis;
ergebnis2=(spieler[k].spielerwerte[8]+spieler[k].spielerwerte[9]+spieler[k].spielerwerte[10]+spieler[k].spielerwerte[11]+spieler[k].spielerwerte[12]+spieler[k].spielerwerte[13]+spieler[k].spielerwerte[14])-(zwei*88);
spieler[k].spielerwerte[15]=ergebnis2;
spieler[k].spielerwerte[16]=(ergebnis2+ergebnis); 

}
ergebnisausgabe(anz);
ngetchx();
ss=1; exit(8);
}
//============================================
void ergebnisausgabe(int anz)
{

int k;
cls();

FontSetSys(F_8x10);
DrawLine(20, 1, 219, 1,A_XOR); //bis 5
  DrawLine(15, 2, 224, 2,A_XOR);
  DrawLine(10, 3, 229, 3,A_XOR);
  DrawLine(5, 4, 234, 4,A_XOR);
  DrawLine(5, 24, 234, 24,A_XOR); //bis 28
  DrawLine(10, 25, 229, 25,A_XOR);
  DrawLine(15, 26, 224, 26,A_XOR);
  DrawLine(20, 27, 219, 27,A_XOR);
printf_xy(92,10,"Ergebnis");
FontSetSys(F_6x8);

for(k=0;k<anz;k++)
printf_xy(10,30+((k+1)*15),"%s : %d + %d + %d = %d",spieler[k].name,spieler[k].spielerwerte[6],spieler[k].spielerwerte[7],spieler[k].spielerwerte[15],spieler[k].spielerwerte[16]);

}
//============================================
void menu1(void)
{
FontSetSys(F_6x8);
	int i,t,k;
	char spieleranz;

	do
	{
		cls();

		head(0,0,0);
  	 do{
  	  spieleranz=0; 
  	  FontSetSys(F_6x8);
  	  printf("\n\n\n\n\n\n    Wieviele Spieler(max 5)?");
  	  spieleranz=(getchar()-48); //======================================================    
  	  printf("\n");
  	  }while(spieleranz<1||spieleranz>5);   
		for (i=0;i<spieleranz;i++)	spielername(i,spieler); 
		dasspiel(spieleranz);
		 
		for(k=0;k<spieleranz;k++)
		{
			strcpy(spieler[k].name,"");
			for(t=0;t<17;t++)
			{
			 spieler[k].spielerwerte[t]=0;
			}
		}
		
	}while(ss==0);

}
//============================================
void menu2(void)
{
cls();
FontSetSys(F_8x10);
DrawLine(20, 1, 219, 1,A_XOR); //bis 5
  DrawLine(15, 2, 224, 2,A_XOR);
  DrawLine(10, 3, 229, 3,A_XOR);
  DrawLine(5, 4, 234, 4,A_XOR);
  DrawLine(5, 24, 234, 24,A_XOR); //bis 28
  DrawLine(10, 25, 229, 25,A_XOR);
  DrawLine(15, 26, 224, 26,A_XOR);
  DrawLine(20, 27, 219, 27,A_XOR);
printf_xy(95,10,"Hilfe");
FontSetSys(F_4x6);
printf_xy(5,40,"Allgemein: Jeder hat drei Wuerfe. Um seine Runde zu beenden,");
printf_xy(5,47,"\"e\" eingeben. Alle Wuerfel neu wuerfeln, \"j\" eingeben. ");
printf_xy(5,54,"Um einzelne Wuerfel auszusuchen \"n\" eingeben, um zu beenden,");
printf_xy(5,61,"\"k\" eingeben. (Alles natuerlich nur waehrend dem Spiel.");
printf_xy(5,68,"Zu den einzelnen mglichen Wurfkombinationen: (alles Beispiele)");
printf_xy(5,75,"3er-Pasch:yyyxx, 4er-Pasch:yyyyx, Full House:xxyyy");
printf_xy(5,82,"Kleine Strasse:1234,2345,3456, Grosse Strasse:12345,23456");
printf_xy(5,89,"Kniffel:xxxxx, Chance: Augen werden addiert.");
printf_xy(5,96,"Bei den 1er bis 6er werden jeweils nur die dazugehoerigen Augen");
printf_xy(5,103,"addiert. Bonus gibt es dabei wenn man ber 65 Pukte kommt.");
printf_xy(5,110,"Traegt man etwas ein wo es nicht hingehoert, wird ein X eingefuegt,");
printf_xy(5,117,"und das Feld ist besetzt. Setzen muss man immer.");

ngetchx();
cls();
wahl=0;
}
//============================================
void menu3(void)
{
cls();
FontSetSys(F_8x10);
DrawLine(20, 1, 219, 1,A_XOR); //bis 5
  DrawLine(15, 2, 224, 2,A_XOR);
  DrawLine(10, 3, 229, 3,A_XOR);
  DrawLine(5, 4, 234, 4,A_XOR);
  DrawLine(5, 24, 234, 24,A_XOR); //bis 28
  DrawLine(10, 25, 229, 25,A_XOR);
  DrawLine(15, 26, 224, 26,A_XOR);
  DrawLine(20, 27, 219, 27,A_XOR);
printf_xy(100,10,"INFO");
printf_xy(45,50,"Kniffel Version 1.0");
printf_xy(30,70,"written by Matthias Egi");
printf_xy(35,90,"Mail: blazer21@gmx.de");

ngetchx();
cls();
wahl=0;
}
//============================================

int _main(void)
{
	unsigned short int keyy,wert;
  

   //=====================================================================================================
   wahl=0;
  do
  {
   if (wahl==0)
   {
    FontSetSys(F_8x10);
  cls();
  DrawLine(20, 1, 219, 1,A_XOR); //bis 5
  DrawLine(15, 2, 224, 2,A_XOR);
  DrawLine(10, 3, 229, 3,A_XOR);
  DrawLine(5, 4, 234, 4,A_XOR);
  DrawLine(5, 24, 234, 24,A_XOR); //bis 28
  DrawLine(10, 25, 229, 25,A_XOR);
  DrawLine(15, 26, 224, 26,A_XOR);
  DrawLine(20, 27, 219, 27,A_XOR);
  DrawLine(22, 40, 22, 111,A_XOR);
  DrawLine(23, 37, 23, 113,A_XOR);
  DrawLine(24, 35, 24, 116,A_XOR);
  DrawLine(25, 37, 25, 113,A_XOR);
  DrawLine(26, 40, 26, 111,A_XOR);
   Sprite16(40,8, 12, wurfx[1], LCD_MEM, SPRT_XOR);
   Sprite16(20,8, 12, wurfx[3], LCD_MEM, SPRT_XOR);
   Sprite16(60,8, 12, wurfx[5], LCD_MEM, SPRT_XOR);
   Sprite16(170,8, 12, wurfx[4], LCD_MEM, SPRT_XOR);
   Sprite16(190,8, 12, wurfx[2], LCD_MEM, SPRT_XOR);
   Sprite16(210,8, 12, wurfx[0], LCD_MEM, SPRT_XOR);
   	printf_xy(95,10,"KNIFFEL");
 		printf_xy(40,40,"Neues Spiel");
  	printf_xy(40,60,"Hilfe");
  	printf_xy(40,80,"Info");
  	printf_xy(40,100,"Ende");
  	FontSetSys(F_4x6);
  	printf_xy(85,120,"written by Matthias Egi");
  	wert=40;  
   }
   wahl=1;
   Sprite8(20,wert, 12, wurfx[6], LCD_MEM, SPRT_XOR);
   keyy=ngetchx();
   if (keyy==344) 
    {
    Sprite8(20,wert, 12, wurfx[6], LCD_MEM, SPRT_XOR);
    wert=wert+20;
     if (wert==120) wert=40;
    }
   if (keyy==338) 
    {
    Sprite8(20,wert, 12, wurfx[6], LCD_MEM, SPRT_XOR);
    wert=wert-20;
     if (wert==20) wert=100;
    }
   if (keyy==13)
    {
     if (wert==40) menu1();
     if (wert==60) menu2();
     if (wert==80) menu3();
     if (wert==100) wahl=4;
    }
   if (keyy!=13&&keyy!=344&&keyy!=338){Sprite8(20,wert, 12, wurfx[6], LCD_MEM, SPRT_XOR);}    
     
  }
  while(wahl!=4);
  return 0;
}
//=============================================
